@charset "utf-8";
@import url("https://fonts.googleapis.com/css2?family=Shippori+Mincho:wght@400;500;600;700;800&display=swap");

/* ======================================================================
/* root
====================================================================== */
:root {
  --color-black: #3a3331;
  --color-white: #ffffff;
  --color-gray: #f0f0f0;
  --color-brand: #00a9c9;
  --color-green: #54984e;
  --color-red: #d63638;
  --color-orange: #f5b64a;
  --color-beige: #fcf4e4;
  --color-dusty-blue: #9cc0ce;
}

/* ======================================================================
/* html
====================================================================== */
html {
  scroll-behavior: smooth;
}

/* ======================================================================
/* ul ol
====================================================================== */
ul,
ol {
  list-style: none;
}

/* ======================================================================
/* br
====================================================================== */
.pc {
  display: block;
}

.sp {
  display: none;
}

@media screen and (width <=768px) {
  .pc {
    display: none;
  }

  .sp {
    display: block;
  }
}

/* ======================================================================
/* img
====================================================================== */
img {
  display: block;
  margin: 0 auto;
  max-inline-size: 100%;
  vertical-align: bottom;
}

/* ======================================================================
/* Menu
====================================================================== */
.hamburger-fade {
  position: fixed;
  inset-block-start: 0;
  inset-inline-end: calc(50% - 390px);
  z-index: 9999;
  inline-size: 50px;
  block-size: 50px;
  border: none;
  background: var(--color-black);
  cursor: pointer;

  & .wrapper {
    position: relative;
    width: 30px;
    height: 20px;
    margin: 10px auto;

    & .line {
      position: absolute;
      inset-inline-start: 0;
      inline-size: 100%;
      block-size: 1px;
      background-color: var(--color-white);
      transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);

      &:nth-child(1) {
        top: 0;
      }

      &:nth-child(2) {
        top: 9px;
      }

      &:nth-child(3) {
        top: 18px;
      }
    }
  }

  &.active .line {
    background-color: var(--color-white);

    &:nth-child(1) {
      transform: translateY(9px) rotate(45deg);
    }

    &:nth-child(2) {
      opacity: 0;
      transform: translateX(20px);
    }

    &:nth-child(3) {
      transform: translateY(-9px) rotate(-45deg);
    }
  }
}

.nav-fade {
  position: fixed;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100vh;
  visibility: hidden;
  z-index: 9998;

  &.active {
    visibility: visible;

    & .nav-fade__bg {
      opacity: 1;
    }

    & .item {
      opacity: 1;
      transform: translateY(0);

      &:nth-child(1) {
        transition-delay: 0.2s;
      }

      &:nth-child(2) {
        transition-delay: 0.3s;
      }

      &:nth-child(3) {
        transition-delay: 0.4s;
      }

      &:nth-child(4) {
        transition-delay: 0.5s;
      }

      &:nth-child(5) {
        transition-delay: 0.6s;
      }

      &:nth-child(6) {
        transition-delay: 0.7s;
      }

      &:nth-child(7) {
        transition-delay: 0.8s;
      }

      &:nth-child(8) {
        transition-delay: 0.9s;
      }
    }
  }
}

.nav-fade__bg {
  position: absolute;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition: opacity 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

.nav-fade__wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  padding: 5vh 36vw;
}

.nav-fadeList {
  margin: 0;
  padding: 0;
  list-style: none;

  & .item {
    position: relative;
    margin-block: 2vh;
    padding-inline-start: 30px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
    display: flex;
    align-items: center;
  }
}

.nav-fade__number {
  position: absolute;
  left: 0;
  color: var(--color-white);
  font-size: 14px;
  line-height: 1;
}

.nav-fade__link {
  display: inline-block;
  color: var(--color-white);
  font-size: 18px;
  text-decoration: none;
  transition: color 0.3s ease;
  line-height: 1;
}

.nav-fade__link:hover {
  color: var(--color-brand);
}

@media screen and (width <= 768px) {
  .hamburger-fade {
    inset-inline-end: 0;
  }

  .nav-fade__wrapper {
    padding: 5vh 10vw;
  }

  .nav-fade__link {
    font-size: 20px;
  }

  .nav-fade__item {
    padding-left: 40px;
    margin-bottom: 1.5vh;
  }

  .nav-fade__info {
    padding-left: 40px;
  }
}

/* ======================================================================
/* jsAccordion
====================================================================== */
.jsAccordion {
  padding: 5px;
  font-size: 14px;
  font-weight: bold;
  color: var(--color-white);
  border-radius: 3px 3px 0 0;
  position: relative;
  transition-duration: 0.2s;
  cursor: pointer;
  text-align: center;
  block-size: 30px;

  &::before {
    content: "▼";
    position: absolute;
    right: 20px;
    transform: rotate(0deg);
    transition: transform 0.4s;
  }

  &.is-open::before {
    content: "▲";
    transform: rotate(360deg);
    transition: transform 0.4s;
  }
}

.jsAccordion-details {
  display: none;
  border: 2px solid var(--color-theme-color);

  & a {
    text-decoration: underline;
  }

  & ul {
    padding: 10px;

    & li {
      list-style: none;
      padding-block-end: 10px;
    }
  }
}
